#ifndef QT_INPUT_VIEW_HPP
#define QT_INPUT_VIEW_HPP

#include "view.hpp"

using namespace std;

static const size_t np=10;

class QtInputView:public QtView{
  Q_OBJECT
private:
  int margin;
  int radius;
  float min_d;
  size_t selected;
  Point point[3*np];
  void drawSplinePoints(Spline& spline);
  void initPoints();
public:
  QtInputView();
  void paintGL() override;  
  void mousePressEvent(QMouseEvent* event);
public slots:
  void updateGeometry();
};
#endif
